Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class Personalpart

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.Personalpart

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-03-19T04:10:52+01:00",
               comments="JAXB RI v2.2.11")
    public class Personalpart

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-CARENET-PERSONAL-PART"/>
             <element name="date" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="time" type="{http://www.w3.org/2001/XMLSchema}time" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Personalpart()`

Method Summary
`CDCARENETPERSONALPART` | `getCd()` Gets the value of the cd property.
`org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
`IDKMEHR` | `getId()` Gets the value of the id property.
`org.joda.time.DateTime` | `getTime()` Gets the value of the time property.
`void` | `setCd(CDCARENETPERSONALPART value)` Sets the value of the cd property.
`void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
`void` | `setId(IDKMEHR value)` Sets the value of the id property.
`void` | `setTime(org.joda.time.DateTime value)` Sets the value of the time property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Personalpart

    public Personalpart()

Method Detail

### getId

    public IDKMEHR getId()

  Gets the value of the id property.

  Returns:
    possible object is `IDKMEHR`

### setId

    public void setId(IDKMEHR value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `IDKMEHR`

### getCd

    public CDCARENETPERSONALPART getCd()

  Gets the value of the cd property.

  Returns:
    possible object is `CDCARENETPERSONALPART`

### setCd

    public void setCd(CDCARENETPERSONALPART value)

  Sets the value of the cd property.

  Parameters:
    `value` - allowed object is `CDCARENETPERSONALPART`

### getDate

    public org.joda.time.DateTime getDate()

  Gets the value of the date property.

  Returns:
    possible object is `String`

### setDate

    public void setDate(org.joda.time.DateTime value)

  Sets the value of the date property.

  Parameters:
    `value` - allowed object is `String`

### getTime

    public org.joda.time.DateTime getTime()

  Gets the value of the time property.

  Returns:
    possible object is `String`

### setTime

    public void setTime(org.joda.time.DateTime value)

  Sets the value of the time property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.